import { DEFAULT_ERROR } from '@/constants/errors';
import { MapBackground } from '@/types/models';
import { BackgroundsState } from './backgrounds.types';

export const BACKGROUND_INITIAL_STATE_MOCK: BackgroundsState = {
  data: undefined,
  loading: 'idle',
  error: DEFAULT_ERROR,
};

export const BACKGROUNDS_MOCK: MapBackground[] = [
  {
    id: 13,
    name: 'Pathways and compartments',
    defaultOverlay: false,
    project: {
      projectId: 'pdmap_appu_test',
    },
    creator: {
      login: 'admin',
    },
    status: 'NA',
    progress: 0,
    description: null,
    order: 0,
    images: [],
  },
  {
    id: 14,
    name: 'Network',
    defaultOverlay: false,
    project: {
      projectId: 'pdmap_appu_test',
    },
    creator: {
      login: 'admin',
    },
    status: 'NA',
    progress: 0,
    description: null,
    order: 1,
    images: [],
  },
  {
    id: 15,
    name: 'Empty',
    defaultOverlay: false,
    project: {
      projectId: 'pdmap_appu_test',
    },
    creator: {
      login: 'admin',
    },
    status: 'NA',
    progress: 0,
    description: null,
    order: 2,
    images: [],
  },
];
